<?php
namespace Claromentis\Core\Config;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] ?: array()) + array("_eaffc5d7e0ea1c84c4b39f95d" . "2e2fc8d" => base64_decode("c3RyX3" . "JlcGxh" . "Y2U="), "_85b1d6168626327100decb" . "1627215bbd" => base64_decode("aXNfd3Jpd" . "GFibGU="), "_d706c160e45bf7434fff82a5976f0e1" . "9" => base64_decode("YXJyY" . "Xlfa2" . "V5cw=" . "="), "_bd71c3b5c201fc11" . "db82ed14ce424de5" => base64_decode("aW5" . "fYX" . "JyY" . "Xk="), "_644b798b19d" . "d133ec9211fb" . "916df032b" => base64_decode("ZmlsZV9nZXRfY29udGVudHM" . "="), "_4d707fab93bebb00bb" . "e69e8159697c90" => base64_decode(""), "_8a36a84baeffc0085672f" . "9bf9c064f67" => base64_decode("ZmlsZV9wdX" . "RfY29udGVu" . "dHM="), "_e92ad742" . "fc12ec1dd" . "5c30557fa" . "fca331" => base64_decode("I" . "g" . "=" . "="), "_79a71f554e3d3d9549bf" . "78bcfea3f6be" => base64_decode("X" . "C" . "I" . "="), "_8ff0e2c6dc53989c37139dd673c9" . "ef80" => base64_decode("X" . "A" . "=" . "="), "_d43b05b9d2a6bb84e6bf44f341" . "6d3421" => base64_decode("XF" . "w="), "_9a2152b0718b64ebb2" . "5ca4d5dc67e4c7" => base64_decode("RW52aXJvbm1lbnQgY2" . "9uZmlndXJhdGlvbiB3" . "cml0dGVuIHRvIC5lbn" . "YgZmlsZQ=="), "_3ce655a" . "e4a14421" . "967cc023" . "a6e907ed" . "5" => base64_decode("aXNfZ" . "mlsZQ" . "=="), "_bb152d3d0f3a7af77c042d" . "ab184b9545" => base64_decode("PQ=" . "="));
use Claromentis\Core\Config\Exception\DotenvException;
use Dotenv\Dotenv;
use Psr\Log\LoggerAwareInterface;
use Psr\Log\LoggerAwareTrait;
use Psr\Log\NullLogger;







class ConfigDotenv implements WritableConfig, LoggerAwareInterface
{
    use LoggerAwareTrait;
    
    
    
    
    protected Environment $environment;
    
    
    
    
    protected array $values = [];
    
    
    
    
    protected Dotenv $dotenv;
    
    
    
    
    protected string $filePath;
    public function __construct(Environment $_6e2e5d4222c95a8fef1631a7dff02f97, Dotenv $_f08e7b69505d3f1bdcd71b2b20adb653, string $_99439ccceff810d579843bc36b914bef)
    {
        $this->environment = $_6e2e5d4222c95a8fef1631a7dff02f97;
        $this->dotenv = $_f08e7b69505d3f1bdcd71b2b20adb653;
        $this->filePath = $_99439ccceff810d579843bc36b914bef;
        $this->values = $_f08e7b69505d3f1bdcd71b2b20adb653->safeLoad();
        $this->logger = new NullLogger();
    }
    public function has(string $key) : bool
    {
        return $this->environment->has($key);
    }
    public function get(string $key)
    {
        return $this->environment->get($key);
    }
    public function getAll() : array
    {
        return $this->environment->getAll();
    }
    public function set(string $key, $value) : void
    {
        if (!$this->canSet($key)) {
            return;
        }
        $this->values[$key] = $value;
    }
    public function setMany(array $values) : void
    {
        foreach ($values as $key => $value) {
            $this->set($key, $value);
        }
    }
    public function delete(string $key) : void
    {
        unset($this->values[$key]);
    }
    public function save() : void
    {
        
        
        $this->writeDotenv($this->values, $this->filePath);
        $this->logger->notice($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_9a2152b0718b64e" . "bb25ca4d5dc67e4c" . "7"], [$this->values]);
        
        
        $this->values = $this->dotenv->safeLoad();
        $this->environment->loadFromGlobals();
    }
    public function canSet(string $key) : bool
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_bd71c3b5c201fc11db82ed14ce42" . "4de5"]($key, $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_d706c160e45bf7434fff82a" . "5976f0e19"]($this->environment::ALIASES));
    }
    
    
    
    
    
    
    
    
    private function writeDotenv(array $values, string $_99439ccceff810d579843bc36b914bef) : void
    {
        $_d34599daeb8cca374d3adb38b245839c = $this->buildDotenvContentString($values);
        if ($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_3ce655ae4a14421967cc023a6e907ed" . "5"]($_99439ccceff810d579843bc36b914bef) && !$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_85b1d6168626327100decb1627215b" . "bd"]($_99439ccceff810d579843bc36b914bef)) {
            throw DotenvException::fileNotWritable($_99439ccceff810d579843bc36b914bef);
        }
        $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_8a36a84baeffc008" . "5672f9bf9c064f67"]($_99439ccceff810d579843bc36b914bef, $_d34599daeb8cca374d3adb38b245839c);
        if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_3ce655ae4a14421967cc023a6e" . "907ed5"]($_99439ccceff810d579843bc36b914bef) || $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_644b798b19dd133ec9211fb916" . "df032b"]($_99439ccceff810d579843bc36b914bef) !== $_d34599daeb8cca374d3adb38b245839c) {
            throw DotenvException::fileWriteFailed($_99439ccceff810d579843bc36b914bef);
        }
    }
    
    
    
    
    
    
    
    
    private function buildDotenvContentString(array $_d34599daeb8cca374d3adb38b245839c) : string
    {
        $_4a761700523546d260b49b42b6c9fdb6 = $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_4d707fab93bebb00bbe69e8159697c9" . "0"];
        foreach ($_d34599daeb8cca374d3adb38b245839c as $key => $value) {
            
            
            $value = $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_eaffc5d7e" . "0ea1c84c4b" . "39f95d2e2f" . "c8d"]($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_8ff0e2c6dc5" . "3989c37139dd" . "673c9ef80"], $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_d43b05b9d" . "2a6bb84e6b" . "f44f3416d3" . "421"], $value);
            $value = $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_eaffc5d7e0ea1c84c4b" . "39f95d2e2fc8d"]($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_e92ad742fc12ec1dd5c305" . "57fafca331"], $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_79a71f554e3d3d" . "9549bf78bcfea3f" . "6be"], $value);
            $value = $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_e92ad742fc12e" . "c1dd5c30557faf" . "ca331"] . $value . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_e92ad742f" . "c12ec1dd5c" . "30557fafca" . "331"];
            $_4a761700523546d260b49b42b6c9fdb6 .= $key . $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_bb152d3d0f3a7af77c042d" . "ab184b9545"] . $value . PHP_EOL;
        }
        return $_4a761700523546d260b49b42b6c9fdb6;
    }
    public function offsetExists($_1f50e30be8c2fefa6881834e71d504a2) : bool
    {
        return $this->has($_1f50e30be8c2fefa6881834e71d504a2);
    }
    public function offsetGet($_1f50e30be8c2fefa6881834e71d504a2)
    {
        return $this->get($_1f50e30be8c2fefa6881834e71d504a2);
    }
    public function offsetSet($_1f50e30be8c2fefa6881834e71d504a2, $value) : void
    {
        $this->set($_1f50e30be8c2fefa6881834e71d504a2, $value);
    }
    public function offsetUnset($_1f50e30be8c2fefa6881834e71d504a2) : void
    {
        $this->delete($_1f50e30be8c2fefa6881834e71d504a2);
    }
}